- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# na_elementsw_snapshot_schedule – NetApp Element Software Snapshot Schedules

New in version 2.7.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Create, destroy, or update accounts on ElementSW

## Requirements

The below requirements are needed on the host that executes this module.

- The modules were developed with SolidFire 10.1

- solidfire-sdk-python (1.1.0.92) or greater. Install using ‘pip install solidfire-sdk-python’

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
account_id - |  | Account ID for the owner of this volume. It accepts either account_name or account_id if account_id is digit, it will consider as account_id If account_id is string, it will consider as account_name
days_of_month_hours - | Default: 0 | Time specified in hours
days_of_month_minutes - | Default: 0 | Time specified in minutes.
days_of_month_monthdays - |  | List of days of the month (1-31)
days_of_week_hours - | Default: 0 | Time specified in hours
days_of_week_minutes - | Default: 0 | Time specified in minutes.
days_of_week_weekdays - |  | List of days of the week (Sunday to Saturday)
hostname - / required |  | The hostname or IP address of the SolidFire cluster.
name - |  | Name for the snapshot schedule. It accepts either schedule_id or schedule_name if name is digit, it will consider as schedule_id If name is string, it will consider as schedule_name
password - / required |  | Element SW access account password aliases: pass
paused boolean | Choices: no yes | Pause / Resume a schedule.
recurring boolean | Choices: no yes | Should the schedule recur?
retention - |  | Retention period for the snapshot. Format is 'HH:mm:ss'.
schedule_type - | Choices: DaysOfWeekFrequency DaysOfMonthFrequency TimeIntervalFrequency | Schedule type for creating schedule.
snapshot_name - |  | Name for the created snapshots.
starting_date - |  | Starting date for the schedule. Required when `state=present`. Format: `2016-12-01T00:00:00Z`
state - / required | Choices: present absent | Whether the specified schedule should exist or not.
time_interval_days - | Default: 1 | Time interval in days.
time_interval_hours - | Default: 0 | Time interval in hours.
time_interval_minutes - | Default: 0 | Time interval in minutes.
username - / required |  | Element SW access account user-name aliases: user
volumes - |  | Volume IDs that you want to set the snapshot schedule for. It accepts both volume_name and volume_id

## Notes

Note

- The modules prefixed with na\_elementsw are built to support the SolidFire storage platform.

## Examples

    - name: Create Snapshot schedule
      na_elementsw_snapshot_schedule:
        hostname: "{{ elementsw_hostname }}"
        username: "{{ elementsw_username }}"
        password: "{{ elementsw_password }}"
        state: present
        name: Schedule_A
        schedule_type: TimeIntervalFrequency
        time_interval_days: 1
        starting_date: '2016-12-01T00:00:00Z'
        volumes:
        - 7
        - test
        account_id: 1

    - name: Update Snapshot schedule
      na_elementsw_snapshot_schedule:
        hostname: "{{ elementsw_hostname }}"
        username: "{{ elementsw_username }}"
        password: "{{ elementsw_password }}"
        state: present
        name: Schedule_A
        schedule_type: TimeIntervalFrequency
        time_interval_days: 1
        starting_date: '2016-12-01T00:00:00Z'
        volumes:
        - 8
        - test1
        account_id: 1

    - name: Delete Snapshot schedule
      na_elementsw_snapshot_schedule:
        hostname: "{{ elementsw_hostname }}"
        username: "{{ elementsw_username }}"
        password: "{{ elementsw_password }}"
        state: absent
        name: 6

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
schedule_id string | success | Schedule ID of the newly created schedule

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by an Ansible Partner. [certified]

### Authors

- NetApp Ansible Team (@carchi8py) <ng-ansibleteam@netapp.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.